Skip to main content

Get status for Session

GET /api/v1/session/{sessionId}/status​

Description​

Get status for a created Triage Session. This could be useful in multiple use cases, such as listing all created Triage Sessions or only show the completed Triage Sessions.

Request Parameters (path)​

NameDescriptionRequiredTypeDefault Value
sessionIdThe identifier of the sessionYesuuid

Response​

HTTP Status Codes​

CodeDescription
200Success, returns a Status
400Bad request, invalid input
401Unauthorized, missing X-Red-Robin-API-Key header
403Forbidden, invalid X-Red-Robin-API-Key header
404Not found, invalid configuration

Status​

NameDescriptionTypeExample
sessionStatusAn enum describing the status of the sessionSessionStatusEnded

Enums​

SessionStatus​

String valueDescription
EndedThe Triage Session is completed
StartedChatThe Triage Session has started the chat part of the Triage UI
CreatedThe Triage Session is created, but hasn't started the chat part of the Triage UI
AiSessionNotCreatedThe Triage Session wasn't created correctly

Example Usage​

GET /api/v1/session/{sessionId}/status
const headers = new Headers();
headers.append('X-Red-Robin-API-Key', 'API_KEY');
headers.append('Content-Type', 'application/json');

const requestOptions = {
method: 'GET',
headers: headers,
};

fetch('https://se.visibatriage.com/api/v1/session/{sessionId}/status', requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Success Response​

{
"sessionStatus": "Ended"
}